package net.cs76.labsection.eventhandlers;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

/*
 * Computer Science E-76
 * Lab Section 3
 * 
 * A basic introduction to using event handlers.
 */


public class EventHandlers extends Activity {

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
 
        // grab each button by it's ID.
        Button accept = (Button)findViewById(R.id.accept);
        Button reject = (Button)findViewById(R.id.reject);

        // attach the clickHandler to each respective button
        accept.setOnClickListener(clickHandler);
        reject.setOnClickListener(clickHandler);

    }

	// create a listener for an onClick event.
    private OnClickListener clickHandler = new OnClickListener() {
    	// trigger the onClick function when a click occurs
    	public void onClick(View v) {
    		// get the current context for the Toast below
    		Context context = getApplicationContext();

    		CharSequence text;

    		// switch on the view id, and display the appropriate
    		// message depending on the source of the click.
    		switch(v.getId()) {
	    		case R.id.accept: text = "Accepted!"; break;
	    		case R.id.reject: text = "Rejected!"; break;
	    		default: text="Waitlisted! Just kidding.";
    		}

    		// display a toast with a short length. LENGTH_SHORT
    		// is a constant defined in the Toast class.
    		int duration = Toast.LENGTH_SHORT;
    		Toast toast = Toast.makeText(context, text, duration);
    		toast.show();
    	}
    };
}